summaryrefslogtreecommitdiffstats
path: root/jjb/armband/armband-deploy.sh
diff options
context:
space:
mode:
authorJosep Puigdemont <josep.puigdemont@enea.com>2016-05-06 06:22:06 +0200
committerJosep Puigdemont <josep.puigdemont@gmail.com>2016-05-10 08:22:56 +0000
commit7ef7632b7b38484f7dd17713760030e9d36bbcef (patch)
tree338aeceb8a0afb3da5ed3978249a4e6d69f77b18 /jjb/armband/armband-deploy.sh
parentf7a3a9092f25aa9a4f4168434aff3fee170f0c94 (diff)
armband: add ci jobs
Change-Id: I6918dc1189ab18fa79812ffa7c5e67867a945eba Signed-off-by: Josep Puigdemont <josep.puigdemont@enea.com>
Diffstat (limited to 'jjb/armband/armband-deploy.sh')
-rwxr-xr-xjjb/armband/armband-deploy.sh79
1 files changed, 79 insertions, 0 deletions
diff --git a/jjb/armband/armband-deploy.sh b/jjb/armband/armband-deploy.sh
new file mode 100755
index 000000000..222a388e6
--- /dev/null
+++ b/jjb/armband/armband-deploy.sh
@@ -0,0 +1,79 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# (c) 2016 Enea Software AB
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# source the file so we get OPNFV vars
+source latest.properties
+
+# echo the info about artifact that is used during the deployment
+echo "Using ${OPNFV_ARTIFACT_URL/*\/} for deployment"
+
+if [[ "$JOB_NAME" =~ "merge" ]]; then
+ # set simplest scenario for virtual deploys to run for merges
+ DEPLOY_SCENARIO="os-nosdn-nofeature-ha"
+else
+ # for none-merge deployments
+ # checkout the commit that was used for building the downloaded artifact
+ # to make sure the ISO and deployment mechanism uses same versions
+ echo "Checking out $OPNFV_GIT_SHA1"
+ git checkout $OPNFV_GIT_SHA1 --quiet
+fi
+
+# set deployment parameters
+export TMPDIR=$HOME/tmpdir
+BRIDGE=${DEFAULT_BRIDGE:-pxebr}
+LAB_NAME=${NODE_NAME/-*}
+POD_NAME=${NODE_NAME/*-}
+
+# we currently support enea
+if [[ ! "$LAB_NAME" =~ "enea" ]]; then
+ echo "Unsupported/unidentified lab $LAB_NAME. Cannot continue!"
+ exit 1
+else
+ echo "Using configuration for $LAB_NAME"
+fi
+
+# create TMPDIR if it doesn't exist
+mkdir -p $TMPDIR
+
+cd $WORKSPACE
+if [[ $LAB_CONFIG_URL =~ ^git:// ]]; then
+ git clone --quiet --branch ${GIT_BRANCH##origin/} $LAB_CONFIG_URL lab-config
+ LAB_CONFIG_URL=file://${WORKSPACE}/lab-config
+fi
+
+# construct the command
+DEPLOY_COMMAND="$WORKSPACE/ci/deploy.sh -b ${LAB_CONFIG_URL} -l $LAB_NAME -p $POD_NAME -s $DEPLOY_SCENARIO -i file://$WORKSPACE/opnfv.iso -H -B $BRIDGE -S $TMPDIR"
+
+# log info to console
+echo "Deployment parameters"
+echo "--------------------------------------------------------"
+echo "Scenario: $DEPLOY_SCENARIO"
+echo "Lab: $LAB_NAME"
+echo "POD: $POD_NAME"
+echo "ISO: ${OPNFV_ARTIFACT_URL/*\/}"
+echo
+echo "Starting the deployment using $INSTALLER_TYPE. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# start the deployment
+echo "Issuing command"
+echo "$DEPLOY_COMMAND"
+echo
+
+$DEPLOY_COMMAND
+
+echo
+echo "--------------------------------------------------------"
+echo "Deployment is done successfully!"